library loading_view_simon;


import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';


class loading_view_simon {
  static bool isShow = false;

  show(BuildContext context) {
    if (isShow) return;
    isShow = true;
    showGeneralDialog(
      context: context,
      pageBuilder: (BuildContext buildContext, Animation<double> animation,
          Animation<double> secondaryAnimation) {
        return WillPopScope(onWillPop: () async {
          isShow = false;
          return true;
        }, child: SafeArea(
          child: Builder(builder: (BuildContext context) {
            return Center(
              child: Container(
                decoration: BoxDecoration(
                  borderRadius: BorderRadius.circular(4),
                  color: Colors.black26,
                ),
                width: 80,
                height: 80,
                child: Container(
                  alignment: Alignment.center,
                  width: 40,
                  height: 40,
                  child: CupertinoActivityIndicator(
                    radius: 14,
                  ),
                ),
              ),
            );
          }),
        ));
      },
      barrierDismissible: false,
      barrierLabel: MaterialLocalizations.of(context).modalBarrierDismissLabel,
      barrierColor: const Color.fromRGBO(255, 255, 255, 0),
      transitionDuration: const Duration(milliseconds: 150),
      transitionBuilder: (BuildContext context, Animation<double> animation,
          Animation<double> secondaryAnimation, Widget child) {
        return FadeTransition(
          opacity: CurvedAnimation(
            parent: animation,
            curve: Curves.easeOut,
          ),
          child: child,
        );
      },
    );
  }

  hide(BuildContext context) {
    //G.pop();
    if (isShow) {
      isShow = false;
      Navigator.of(context).pop("hide");
    }

  }

  bool getIsShow() {
    return isShow;
  }
}
